/// class PD.Manage.Services.EntityTypeService

PD.Manage.Services.EntityTypeService =
Class.extend({

    //===================================
    // PUBLIC METHODS
    //===================================

    deleteEntityType: function (id, success) {

        PD.ajax({
            type: "POST",
            url: Jade.Path.resolve("~/entitytype/delete?id=" + id),
            success: function (e) {
                if (success) {
                    success();
                }
            }
        });

    },

    openEntityType: function (id) {
        window.location = PD.Path.resolve("~/Manage/#/module/entity-type/" + id);
    }

});